%define name rocksndiamonds
%define version 3.0.2
%define release 1mdk
%define Summary A boulderdash like game

Name: %{name}
Summary: %{Summary}
Version: %{version}
Release: %{release}
Source: http://www.artsoft.org/RELEASES/unix/rocksndiamonds/%{name}-%{version}.tar.bz2
Source10: %{name}.16.png
Source11: %{name}.32.png
Source12: %{name}.48.png
Patch0: rocksndiamonds-3.0.0-remove-static-cflags.patch.bz2
URL: http://www.artsoft.org/rocksndiamonds/
License: GPL
Group: Games/Arcade
BuildRequires: SDL_image-devel SDL_mixer-devel XFree86-devel alsa-lib-devel esound-devel gcc
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%setup -q
%patch0 -p0

%build
X11_PATH="/usr/X11R6" OPTIONS="%optflags" pkgdatadir="%_gamesdatadir/%name" make sdl

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name} $RPM_BUILD_ROOT%{_mandir}/man1
cp %{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.wrapped
cp -a graphics levels scores sounds music $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp *.1 $RPM_BUILD_ROOT%{_mandir}/man1

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Arcade" title="Rocks n Diamonds" \
  longtitle="%{Summary}"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
pushd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.wrapped
popd
EOF

install -m644 %{SOURCE10} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README COPYING
%attr(0755,root,root) %{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/*/*

%changelog
* Thu Aug 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.2-1mdk
- new version

* Wed Aug 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.0-1mdk
- new version

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.0-11mdk
- rebuild
- convert xpm icons to png icons
- change summary macro to avoid possible conflicts if we were to build debug package

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-10mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-9mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-8mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-7mdk
- rebuild for new alsa

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-6mdk
- BuildRequires

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-5mdk
- rebuild for libpng3
- fix large-icon-not-in-package
- include man page

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-4mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-3mdk
- revert Dadouification
- new SDL

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.0-2mdk
- PPC: build with gcc

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0 (many new goodies, including networked multiplayer)

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-5mdk
- Fix build for PPC

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-4mdk
- fix compile with gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.0-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- first package for Linux-Mandrake

